diff -u aptitude-0.4.10/debian/changelog aptitude-0.4.10/debian/changelog
--- aptitude-0.4.10/debian/changelog
+++ aptitude-0.4.10/debian/changelog
@@ -1,3 +1,11 @@
+aptitude (0.4.10-1.1) unstable; urgency=low
+
+  * NMU.
+  * Sets APT::Install-Recommends to the value of
+    Aptitude::Recommends-Important. Closes: #448561
+
+ -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Sat, 26 Jan 2008 16:28:23 -0200 
+
 aptitude (0.4.10-1) unstable; urgency=low
   
   * Add a reportbug script that includes the user's $TERM in the bug.
only in patch2:
unchanged:
--- aptitude-0.4.10.orig/src/generic/apt/apt.cc
+++ aptitude-0.4.10/src/generic/apt/apt.cc
@@ -90,6 +90,12 @@
   cached_deps_interesting = NULL;
 }
 
+static void set_apt_install_recommends()
+{
+  aptcfg->SetNoUser ("APT::Install-Recommends",
+                     aptcfg->Find(PACKAGE "::Recommends-Important"));
+}
+
 static void reset_surrounding_or_memoization()
 {
   delete[] cached_surrounding_or;
@@ -179,6 +185,11 @@
   aptcfg->connect(PACKAGE "::Recommends-Important",
 		  sigc::ptr_fun(&reset_interesting_dep_memoization));
 
+  aptcfg->SetNoUser ("APT::Install-Recommends",
+                     aptcfg->Find(PACKAGE "::Recommends-Important"));
+  aptcfg->connect(PACKAGE "::Recommends-Important",
+		  sigc::ptr_fun(&set_apt_install_recommends));
+
   cache_closed.connect(sigc::ptr_fun(&reset_interesting_dep_memoization));
 
   cache_closed.connect(sigc::ptr_fun(&reset_surrounding_or_memoization));
